//dbtech.com
//2019.1.27
//Sensor on Pin 2, 5v, GND
//RED LED on Pin 8, GND
//GREEN LED on Pin 9, GND
//Active Buzzer on Pin 10, GND
//If humidity is < 50%, the green LED is on. If humidity goes above 50%, the red LED comes on and the Active buzzer sounds until humidity is less than 50%

#include <dht_nonblocking.h>
#define DHT_SENSOR_TYPE DHT_TYPE_11
#define GREEN 9
#define RED 8
//int buzzer = 10;

static const int DHT_SENSOR_PIN = 2;
DHT_nonblocking dht_sensor( DHT_SENSOR_PIN, DHT_SENSOR_TYPE );

/*
 * Initialize the serial port.
 */
void setup( )
{
  Serial.begin( 9600);
  pinMode(GREEN, OUTPUT);
  digitalWrite(GREEN, LOW);
  pinMode(RED, OUTPUT);
  digitalWrite(RED, LOW);
  //pinMode(buzzer,OUTPUT);
}



/*
 * Poll for a measurement, keeping the state machine alive.  Returns
 * true if a measurement is available.
 */
static bool measure_environment( float *temperature, float *humidity )
{
  static unsigned long measurement_timestamp = millis( );

  /* Measure once every four seconds. */
  if( millis( ) - measurement_timestamp > 1000ul )
  {
    if( dht_sensor.measure( temperature, humidity ) == true )
    {
      measurement_timestamp = millis( );
      return( true );
    }
  }

  return( false );
}


/*
 * Main program loop.
 */
void loop( )
{
  float temperature;
  float humidity;

  /* Measure temperature and humidity.  If the functions returns
     true, then a measurement is available. */
  if( measure_environment( &temperature, &humidity ) == true )
  {
    if(humidity > 50) {
      digitalWrite(8, HIGH);
      digitalWrite(9, LOW);
      //digitalWrite(buzzer,HIGH);
    } else {
      digitalWrite(8, LOW);
      digitalWrite(9, HIGH);
      //digitalWrite(buzzer,LOW);
    }
    Serial.print( "T = " );
    Serial.print( temperature, 1 );
    Serial.print( " deg. C, H = " );
    Serial.print( humidity, 1 );
    Serial.println( "%" );
  }
}
